Subject: Re: [PATCH] compat/posix.h: enable UNUSED warning messages for Clang

From: Dominik Loidolt <[email-masked]>
Date: Fri, 5 Jun 2026 10:44:40 +0200

On Mon, May 04, 2026 at 10:41:16AM +0900, Junio C Hamano wrote:
> > Does this "drop support" because you force _all_ versions of Clang
> > to use the "deprecated" attribute, even though you _know_ some older
> > versions do not understand it?  Don't these versions identify
> > themselves so that you can do
> >
> > 	#if defined(__clang__) && CLANG_VERSION >= 2.9
>
> IOW, something like this, perhaps?

Yes, you're right. My original patch breaks older Clang versions for no
good reason.

I'll send a v2 with an explicit Clang version check, as you suggested.

Thanks,
 Dominik